<?php

if (!defined('TYPO3_MODE')) {
	die ('Access denied.');
}

/***************
 * Extension configuration
 */
if(!is_array($GLOBALS['TYPO3_CONF_VARS']['EXT']['extConf'][$_EXTKEY])){
	$GLOBALS['TYPO3_CONF_VARS']['EXT']['extConf'][$_EXTKEY] = unserialize($GLOBALS['TYPO3_CONF_VARS']['EXT']['extConf'][$_EXTKEY]);
}

/***************
 * Page TsConfig & Setup
 */

 # Default TSconfig
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig('<INCLUDE_TYPOSCRIPT: source="FILE:EXT:' . $_EXTKEY . '/Configuration/PageTS/TCAdefaults.ts">');

 # Optional TSconfig - default CTypes
if ( !$GLOBALS['TYPO3_CONF_VARS']['EXT']['extConf'][$_EXTKEY]['default_CTypes'] )
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig('<INCLUDE_TYPOSCRIPT: source="FILE:EXT:' . $_EXTKEY . '/Configuration/PageTS/CType.ts">');
 # Optional TSconfig - default lang. label and flag
if ( $GLOBALS['TYPO3_CONF_VARS']['EXT']['extConf'][$_EXTKEY]['default_Flag'] )
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig('<INCLUDE_TYPOSCRIPT: source="FILE:EXT:' . $_EXTKEY . '/Configuration/PageTS/Flag.ts">');
 # Optional TSconfig - RTE
if ( $GLOBALS['TYPO3_CONF_VARS']['EXT']['extConf'][$_EXTKEY]['rte_config'] )
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig('<INCLUDE_TYPOSCRIPT: source="FILE:EXT:' . $_EXTKEY . '/Configuration/PageTS/RTE.ts">');

 # Optional TSconfig - default CTypes with Bootstrap Components
if ( $GLOBALS['TYPO3_CONF_VARS']['EXT']['extConf'][$_EXTKEY]['default_BScTypes'] && $GLOBALS['TYPO3_CONF_VARS']['EXT']['extConf'][$_EXTKEY]['default_CTypes'] ) {
	 # Contstant
	\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTypoScriptConstants(
		'plugin.t3sbootstrap_configuration.general.bsctype = 1'
	);
	\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig('<INCLUDE_TYPOSCRIPT: source="FILE:EXT:' . $_EXTKEY . '/Configuration/PageTS/Bsctype.ts">');
}

 # if news is loaded
if ( \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::isLoaded('news', $exitOnError = FALSE) ) {
	 # TsConfig
	\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig('<INCLUDE_TYPOSCRIPT: source="FILE:EXT:' . $_EXTKEY . '/Resources/Private/Extensions/News/TsConfig.ts">');
	 # Setup
	\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTypoScript($_EXTKEY,
	    'setup','<INCLUDE_TYPOSCRIPT: source="FILE:EXT:t3sbootstrap/Resources/Private/Extensions/News/Setup.ts">',
	    defaultContentRendering
	);
}

 # if indexed_search is loaded
if ( \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::isLoaded('indexed_search', $exitOnError = FALSE) ) {
	 # Setup
	\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTypoScript($_EXTKEY,
	    'setup','<INCLUDE_TYPOSCRIPT: source="FILE:EXT:t3sbootstrap/Resources/Private/Extensions/indexed_search/Setup.ts">',
	    defaultContentRendering
	);
}

 # if powermail is loaded
if ( \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::isLoaded('powermail', $exitOnError = FALSE) ) {
	 # Setup
	\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTypoScript($_EXTKEY,
	    'setup','<INCLUDE_TYPOSCRIPT: source="FILE:EXT:t3sbootstrap/Resources/Private/Extensions/Powermail/Main.ts">',
	    defaultContentRendering
	);
}

/***************
 * Bootstrap table-classes
 */
$GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['t3lib/class.t3lib_befunc.php']['getFlexFormDSClass'][$_EXTKEY] = 'T3SBS\T3sbootstrap\Hooks\T3libBefunc';



